$footer-font-color: #8296C8;
.footer {
  background-color: $darkCommonColor;
  padding-bottom: $paddingDefault;
  &_container {
    @include Container;
    padding: $paddingDefault $paddingMini;
    background-color: inherit;
  }
  &_logo {
    max-width: 100px;
  }
  a {
    color: $footer-font-color;
  }
  &-row {
    margin-bottom: $marginMini;
    font-size: .875rem;
    @media Screen and (min-width: 390px) {
      margin-bottom: $marginDefault;
    }
    &:last-child {
      margin-bottom: 0px;
    }
  }
  &-col {
    flex: 1;
    width: 100%;
    &:nth-of-type(1) {
      padding-right: $paddingMini;
    }
    &:nth-of-type(2) {
      padding-left: $paddingMini;
    }
    .btn {
      font-size: .875rem;
      flex: 1;
      padding: $paddingMini ($paddingMini - 2);
      @media Screen and (min-width: 370px) {
        padding: $paddingMini+2 ($paddingMini - 2);
      }
      @media Screen and (min-width: 390px) {
        padding: $paddingMini+4 ($paddingMini - 2);
      }
      &.footer-soc {
        height: 42px;
        width: 42px;
        @media Screen and (min-width: 370px) {
          width: 46px;
          height: 46px;
        }
        @media Screen and (min-width: 390px) {
          width: 50px;
          height: 50px;
        }
      }
    }
  }
  &-btn {
    &-inner {
      align-items: center;
      font-size: .675rem;
      justify-content: space-between;
      text-transform: uppercase;
      @media Screen and (min-width: 370px) {
        font-size: .7rem;
      }
      @media Screen and (min-width: 390px) {
        font-size: .74rem;
      }
      span {
        flex: 1;
      }
      img {
        height: 20px;
      }
    }
  }
  &-soc {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 35px;
    height: 35px;
    img {
      max-height: 20px;
      max-width: 20px;
    }
    &:nth-of-type(1) {
      margin: 0px $marginMini;
    }
    @media Screen and (min-width: 370px) {
      width: 40px;
      height: 40px;
    }
    @media Screen and (min-width: 390px) {
      width: 45px;
      height: 45px;
      img {
        max-height: 20px;
        max-width: 20px;
      }
    }
  }
  &-tagline {
    font-size: 1rem;
  }
  &-copyright {
    color: $footer-font-color;
  }
}
